#include <SDL/SDL.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv) {
  /* initializare SDL */
  if (SDL_Init(SDL_INIT_VIDEO) == -1) {
    printf("Failed to initialize SDL: %s.\n", SDL_GetError());
    exit(EXIT_FAILURE);
  }
  atexit(SDL_Quit);
  /* configurare mod video */
  SDL_Surface *screen =
      SDL_SetVideoMode(640, 480, 8, SDL_SWSURFACE);
  if (screen == NULL) {
    printf("Failed to set video mode: %s.\n", SDL_GetError());
    exit(EXIT_FAILURE);
  }
  /* bucla principala de program (pauza de 5 secunde) */
  SDL_Delay(5000);
  /* eliberare resurse folosite */
  SDL_Quit();
  exit(EXIT_SUCCESS);
}
